Retrieve Account
Base URL not set in the spec · operationId RetrieveAccount
Endpoint to retrieve an Account in Monato Billpay
Authorization
BearerAuth Bearer token
Responses
200 Successfully return client account found. application/json
name string email string accounts object account_id accounts.account_id string account_name accounts.account_name string virtual_clabe accounts.virtual_clabe string status accounts.status string pre_balance accounts.pre_balance number post_balance accounts.post_balance number available_balance accounts.available_balance number reserved_balance accounts.reserved_balance number 404 Account not found application/json
error_type string error_message string This request is in the Monato · Billpay Postman collection.Download collection
Request
curl -X GET "$BASE_URL/v1/client/account" \
-H "Authorization: Bearer $TOKEN"const res = await fetch(`${BASE_URL}/v1/client/account`, {
method: "GET",
headers: {
"Authorization": `Bearer ${TOKEN}`,
},
});
const data = await res.json();import requests
res = requests.get(
f"{BASE_URL}/v1/client/account",
headers={
"Authorization": f"Bearer {TOKEN}",
},
)
data = res.json()Response
{
"name": "Client",
"email": "client@monato.com",
"accounts": {
"account_id": "77f58655-4345-41aa-80de-6647a21c471a",
"account_name": "Bill",
"virtual_clabe": "",
"status": "enable",
"pre_balance": 0,
"post_balance": 0,
"available_balance": 0,
"reserved_balance": 0
}
}{
"error_type": "INTERNAL_ERROR",
"error_message": "There was an error while processing your request"
}